﻿local WaterMill = foundation.createMod();

WaterMillPrefix = "WATER_MILL"

WaterMill:log("Hello World: Water Mill Set")
--WaterMill:logWarning("This is a warning!")
--WaterMill:logError("This is an error!")
--WaterMill:msgBox("Water Mill Set: Hello there")

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    WaterMill:msgBox("WaterMill: game version anterior to 1.6")
    return
end
WaterMill:msgBox("WaterMill: game version" .. foundation.getGameVersion())

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        WaterMill:msgBox("WaterMill: Unknown mod version")
        return false
    end
    if not foundation.isModEnabled(_id) then
        WaterMill:msgBox("WaterMill: " .. _name .. " disabled")
        return false
    end
    if not foundation.isModLoaded(_id) then
        WaterMill:msgBox("WaterMill: Up the position of " .. _name .. " in the mod list of your game")
        return false
    end
    local _myVersion = foundation.getModVersion(_id)
    WaterMill:msgBox("WaterMill: " .. _name .. " Current version : " .. _myVersion)
    if version.cmp(_myVersion, _minimalVersion) < 0 then
        WaterMill:msgBox("WaterMill: Please, load the last version of " .. _name)
        return false
    end
    return true
end

-- check all the dependencies
if not checkVersion("Common Resources", "76daffe0-725f-4dac-b1b5-de331dfca67a", "1.1.2") then
    return
end

WaterMill:dofile("scripts/monument.lua")
